.ColonneRevendicationsSalaires{
    vertical-align: middle;
    margin: 10px;
}

.RevendicationsIntroduction{
    text-align: justify;
    font-size: 1em;
    max-width: 600px;
    line-height: 1.5em;
    width: 100%;
}

.RevendicationsIntroduction div{
    margin: 10px;
}

.RevendicationsCercle {
    border-radius: 50%; /* Arrondit le conteneur à 50% */
    background: rgba(135,206,235,0.5);
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    width:25px;
    height: 25px;
    margin: 10px;
}

.RevendicationsCercle img {
    width: 50%;
    height: 50%;
    object-fit: cover;
}

.RevendicationsBouton{
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 10px;
}

ul.sans-puce {
    list-style-type: none; /* Supprime les puces */
    margin: 0;             /* Supprime la marge extérieure par défaut */
    padding: 0;            /* Supprime le retrait intérieur par défaut */
}

.RevendicationsDialog {
    line-height: 1.5em;
    margin: 5px;
    text-align: justify;
}

.RevendicationsDialog div{
    margin: 5px;
}

.ui-dialog-titlebar {
    background: linear-gradient(#99d3e1, #0eb7e1);
}

#containerGraphique{
    margin: auto;
    width: 90%;
}

#RevendicationsRevendicationsSalaires div{
    margin: 10px auto;
}

/* Curseur */
.range {
    display: flex;
    max-width: 200px;
    align-items: center;
    margin-bottom: 1rem;
}

.range-slider {
    flex: 1;
}

.sliderticks {
    display: flex;
    justify-content: space-between;
    padding: 0 10px;
}

.sliderticks span {
    display: flex;
    justify-content: center;
    width: 1px;
    height: 10px;
    background: #d3d3d3;
    line-height: 40px;
}

.range-input {
    -webkit-appearance: none;
    appearance: none; 
    width: 100%;
    cursor: pointer;
    outline: none;
    border-radius: 15px;
    height: 6px;
    background: #ccc;
}

.range-input::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none; 
    height: 15px;
    width: 15px;
    border-radius: 50%;
    border: none;
    transition: .2s ease-in-out;
}

.range-input::-moz-range-thumb {
    height: 15px;
    width: 15px;
    border-radius: 50%;
    border: none;
    transition: .2s ease-in-out;
}

.range-input::-webkit-slider-thumb:hover {
    box-shadow: 0 0 0 10px rgba(255,85,0, .1)
}
.range-input:active::-webkit-slider-thumb {
    box-shadow: 0 0 0 13px rgba(255,85,0, .2)
}
.range-input:focus::-webkit-slider-thumb {
    box-shadow: 0 0 0 13px rgba(255,85,0, .2)
}

.range-input::-moz-range-thumb:hover {
    box-shadow: 0 0 0 10px rgba(255,85,0, .1)
}
.range-input:active::-moz-range-thumb {
    box-shadow: 0 0 0 13px rgba(255,85,0, .2)
}
.range-input:focus::-moz-range-thumb {
    box-shadow: 0 0 0 13px rgba(255,85,0, .2)    
}

#containerClassement{
    display: flex;
    flex-wrap: wrap; /* Autorise le passage à la ligne */
    gap: 16px;       /* Optionnel : ajoute un espace entre les lignes */
}

#containerClassement > div {
  flex: 1 0 100%;  /* Force chaque div à prendre 100% de la largeur */
}

/* Machine à écrire */
/* Effet de curseur clignotant */
.curseurClignotant::after {
    content: '|';
    animation: clignotement 0.7s infinite;
}

@keyframes clignotement {
    0%, 100% { opacity: 1; }
    50% { opacity: 0; }
}

/* Classement */
.leaderboard-container {
    /*background-color: #162447;*/
    padding: 30px;
    border-radius: 12px;
    box-shadow: 0 8px 24px rgba(0,0,0,0.3);
    width: 400px;
    height: 100%;
    text-align: center;
}


.leaderboard {
    display: flex;
    flex-direction: column;
    gap: 10px;
    margin-bottom: 20px;
    position: relative; /* Important pour l'organisation */
}

.donnee-row {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(#99d3e1, #0eb7e1);
    padding: 12px 20px;
    border-radius: 8px;
    transition: transform 0.6s ease, background-color 0.3s;
    box-shadow: 0 4px 6px rgba(0,0,0,0.1);
}

.donnee-row-france {
    background: linear-gradient(#f19ca2, #e10b1a);
}

.donnee-countries {
    font-weight: bold;
}

.donnee-start {
    background-color: #e43f5a;
    padding: 4px 10px;
    border-radius: 20px;
    font-size: 14px;
    transition: all 0.3s ease;
}